TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.userStores.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.userStores.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationUserStoresRequestParameters{
MemberAccessLevel: []*myorganization.OrganizationAccessLevelEnum{
myorganization.OrganizationAccessLevelEnumNone.Ptr(),
},
IsEnabled: myorganization.Bool(
true,
),
}
c.Organization.UserStores.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.UserStores.ListAsync(
new ListOrganizationUserStoresRequestParameters {
MemberAccessLevel = new List<OrganizationAccessLevelEnum?>(){
OrganizationAccessLevelEnum.None,
}
,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationUserStoresRequestParameters;
import com.auth0.client.myorganization.types.OrganizationAccessLevelEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().userStores().list(
ListOrganizationUserStoresRequestParameters
.builder()
.isEnabled(true)
.memberAccessLevel(
Arrays.asList(OrganizationAccessLevelEnum.NONE)
)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.user_stores.list(
member_access_level=[
"none"
],
is_enabled=True,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/user-stores \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/user-stores",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/user-stores")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_stores": [
{
"id": "con_abc123",
"name": "acme-scim",
"display_name": "Acme SCIM",
"access_level": "full",
"member_access_level": "full"
}
]
}List User Stores
Retrieve the user stores for the associated Organization.
GET
/
user-stores
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.userStores.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.userStores.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationUserStoresRequestParameters{
MemberAccessLevel: []*myorganization.OrganizationAccessLevelEnum{
myorganization.OrganizationAccessLevelEnumNone.Ptr(),
},
IsEnabled: myorganization.Bool(
true,
),
}
c.Organization.UserStores.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.UserStores.ListAsync(
new ListOrganizationUserStoresRequestParameters {
MemberAccessLevel = new List<OrganizationAccessLevelEnum?>(){
OrganizationAccessLevelEnum.None,
}
,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationUserStoresRequestParameters;
import com.auth0.client.myorganization.types.OrganizationAccessLevelEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().userStores().list(
ListOrganizationUserStoresRequestParameters
.builder()
.isEnabled(true)
.memberAccessLevel(
Arrays.asList(OrganizationAccessLevelEnum.NONE)
)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.user_stores.list(
member_access_level=[
"none"
],
is_enabled=True,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/user-stores \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/user-stores",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/user-stores")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_stores": [
{
"id": "con_abc123",
"name": "acme-scim",
"display_name": "Acme SCIM",
"access_level": "full",
"member_access_level": "full"
}
]
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
When present, only connections whose Organization Member Access Level matches one of the provided values are returned. Accepted values are full, limited, readonly and none.
Minimum array length:
1The access level allowed for the Organization
Available options:
none, readonly, limited, full Filter the returned list by enabled status. When true, only enabled items are returned; when false, only disabled items; when omitted, all items are returned.
Response
Retrieve user stores for an Organization.
Show child attributes
Show child attributes